package com.quant.entity;

/**
 * NewsType entity. @author MyEclipse Persistence Tools
 */

public class NewsType implements java.io.Serializable {

	// Fields

	/**
	 * 
	 */
	private static final long serialVersionUID = -1087358604706520120L;
	private Integer id;
	private String typeName;
	private Integer pid;
	private Integer status;

	// Constructors

	/** default constructor */
	public NewsType() {
	}

	/** full constructor */
	public NewsType(String typeName, Integer pid, Integer status) {
		this.typeName = typeName;
		this.pid = pid;
		this.status = status;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTypeName() {
		return this.typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public Integer getPid() {
		return this.pid;
	}

	public void setPid(Integer pid) {
		this.pid = pid;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

}